Subject: bug#57147: closed (Re: bug#57147: bug#57148: 27.2; Problem with kill-new)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 14 Aug 2022 01:20:02 +0000

Your bug report

#57147: 27.2; Problem with kill-new

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57147: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57147
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57147: bug#57148: 27.2; Problem with kill-new
From: Po Lu <[email-masked]>
To: Ihor Radchenko <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, [email-masked], Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sun, 14 Aug 2022 09:19:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Ihor Radchenko <[email-masked]> writes:

> Yep. I just tested modifying the recipe to use 'dont-save instead of t
> and the text is yanked as expected. Same for the original issue with
> org-copy-visible.

Thanks for testing, closing.

(I hope I'm doing this correctly, there are two debbugs addresses in Cc.)

Subject: Re: 27.2; Problem with kill-new
From: Ihor Radchenko <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 12 Aug 2022 08:34:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> 3. emacs -Q -l /path/to/bug.el /path/to/bug.org
> 4. S-<TAB>
> 5. M-x my/copy-const
> 6. C-y
>
> Expected: "Constant string" is inserted
> Observed: Selected region is inserted.

An amendment to the recipe:

4.5. Move point to bob, activate mark, and select down to the eob

The whole Org buffer should be selected.

-- 
Ihor Radchenko,
Org mode contributor,
Learn more about Org mode at https://orgmode.org/.
Support Org development at https://liberapay.com/org-mode,
or support my work at https://liberapay.com/yantar92